@import url('//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

body {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url(./image/background-fundo-login.jpg);
    background-size: cover; /* This property scales the image to cover the entire container */
    background-repeat: no-repeat;
}


.container {
    position: relative;
    max-width: 430px;
    width: 100%;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);
    animation: slideIn 0.5s ease forwards; /* Animação de deslize da esquerda para a direita */
    animation-delay: 0.3s;
    z-index: 1;
}

.container .form {
    padding: 30px;
}

@keyframes slideIn {
    from {
        transform: translateX(-100%); /* Começa fora da tela à esquerda */
    }
    to {
        transform: translateX(0); /* Move para a posição inicial (0) */
    }
}

.container .form .title {
    position: relative;
    font-size: 27px;
    font-weight:  600;
}

.form .title::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 30px;
    background-color: #C915FF;
    border-radius: 25px;
}

.form .input-field {
    position: relative;
    height: 50px;
    width: 100%;
    margin-top: 30px;
}

.input-field input {
    position: absolute;
    height: 100%;
    width: 100%;
    padding: 0 35px;
    border: none;
    outline: none;
    font-size: 16px;
    border-bottom:  2px solid #ccc;
    border-top: 2px solid transparent;
}

/* focus */
.input-field input:is(:focus, :valid) {
    border-bottom-color: black;
} 

.input-field i {
    position: absolute;
    top: 50%;
    transform:  translateY(-50%);
    color: #999;
    font-size: 23px;
}

.input-field i.icon {
    left: 0;
}

.input-field i.showHidePw {
    right: 0;
    cursor: pointer;
    padding: 10px;
}

.input-field input:is(:focus, :valid) ~ i {
    color: black;
}

.form .checkbox-text {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;
}

.checkbox-text .checkbox-content {
    display: flex;
    align-items: center;
}

.checkbox-content input {
    margin: 0 8px -2px 4px;
    accent-color: #4070;
}

.form .text {
    color: #333;
    font-size: 14px;
}

.form a.text {
    color: #333;
    text-decoration: none;
}

.form a:hover {
    text-decoration: underline;
}

.form .button input {
    position: relative;
    border: none;
    color: #fff;
    font-size: 17px;
    font-weight:  500;
    letter-spacing: 1px;
    border-radius: 6px;
    background-color: #C915FF;
    cursor: pointer;
    transition: all 0.3s ease;
}

/* sucess or error msg */

.info-msg,
.success-msg,
.warning-msg,
.error-msg {
  margin: 10px 0;
  padding: 10px;
  border-radius: 3px 3px 3px 3px;
}

.error-msg {
    color: #D8000C;
    background-color: #FFBABA;
}

.success-msg {
    color: #270;
    background-color: #DFF2BF;
}

.warning-msg {
    color: #9F6000;
    background-color: #FEEFB3;
}

/*.mssError {
    color: red;
}*/

.mssSucess {
    color: green;
}

/* end */

.button input:hover {
    background-color: #420854;
}

/* Desktop styles */
.container {
    max-width: 430px;
}

.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-left-color: #000;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 1s linear infinite;
    position: absolute; 
    left: 59%; 
    top: 35%; 
    transform: translate(-50%, -50%);
    display: none; 
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.spinner-active input[value="Entrar"] {
    color: transparent;
}

/* CSS for Navbar */
.header {
    position: fixed;
    height: 80px;
    width: 100%;
    /*background: grey;*/
    z-index: 100;
    padding: 0 40px;
    top: 0;
}

a {
    text-decoration: none;
}

.nav_logo,
.nav_link {
    color: #fff;
}

.nav_logo img {
    width: 200px;
}

.nav {
    max-width: 1100px;
    width: 100%;
    margin: 0 auto;
}

.nav,
.nav_item {
    display: flex;
    height: 100%;
    align-items: center;
    justify-content: space-between;
}

.nav_item {
    column-gap: 25px;
}

.nav_link:hover {
    color: #d9d9d9;
}

.icons {
    position: absolute;
    right: 0;
    font-size: 2.8rem;
    columns: #fff;
    cursor: pointer;
    display: none;
}

/* Media query for responsive design */
@media screen and (max-width: 768px) {
    .nav_items {
    }
}

/* rocket */
@keyframes moveRight {
    0% { left: -100px; } 
    100% { left: calc(100% + 150px); } 
}

.rocket-container {
    position: relative; 
    width: 100%; 
    height: auto;  
}

#rocket {
    position: absolute;
    top: 80%;
    left: -150px;
    width: 350px; 
    height: auto; 
    animation: moveRight 5s linear infinite;
}

/* particulas */

#particles-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1; 
}

/* Tablet styles */
@media only screen and (max-width: 768px) {
    .container {
        max-width: 80%;
    }
}

/* Mobile styles */
@media only screen and (max-width: 480px) {
    .container {
        max-width: 90%;
    }
    .form .title {
        font-size: 22px;
    }
    .input-field input {
        font-size: 14px;
    }
    .form .button input {
        font-size: 15px;
    }
}


  